/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.entidad;

import java.io.Serializable;
import java.util.Date;
import javax.persistence.Basic;
import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.NamedQueries;
import javax.persistence.NamedQuery;
import javax.persistence.Table;
import javax.persistence.Temporal;
import javax.persistence.TemporalType;
import javax.xml.bind.annotation.XmlRootElement;

/**
 *
 * @author gleimar
 */
@Entity
@Table(name = "PARAM_CONEXION")
public class ParamConexion implements Serializable {
    private static final long serialVersionUID = 1L;
    @Id
    @Column(name = "PARAM_CONEXION_ID")
    private Integer paramConexionId;
    @Column(name = "DESCPARAMETRO")
    private String descparametro;
    @Column(name = "NOMBPARAMETRO")
    private String nombparametro;
    @Column(name = "VALOR_PARAMETRO")
    private Integer valorParametro;
    @Column(name = "USUARIO_ID")
    private Integer usuarioId;
    @Column(name = "FECMODIF")
    @Temporal(TemporalType.TIMESTAMP)
    private Date fecmodif;
    @Column(name = "ACTIVO")
    private Boolean activo;

    public ParamConexion() {
    }

    public ParamConexion(Integer paramConexionId) {
        this.paramConexionId = paramConexionId;
    }

    public Integer getParamConexionId() {
        return paramConexionId;
    }

    public void setParamConexionId(Integer paramConexionId) {
        this.paramConexionId = paramConexionId;
    }

    public String getDescparametro() {
        return descparametro;
    }

    public void setDescparametro(String descparametro) {
        this.descparametro = descparametro;
    }

    public String getNombparametro() {
        return nombparametro;
    }

    public void setNombparametro(String nombparametro) {
        this.nombparametro = nombparametro;
    }

    public Integer getValorParametro() {
        return valorParametro;
    }

    public void setValorParametro(Integer valorParametro) {
        this.valorParametro = valorParametro;
    }

    public Integer getUsuarioId() {
        return usuarioId;
    }

    public void setUsuarioId(Integer usuarioId) {
        this.usuarioId = usuarioId;
    }

    public Date getFecmodif() {
        return fecmodif;
    }

    public void setFecmodif(Date fecmodif) {
        this.fecmodif = fecmodif;
    }

    public Boolean getActivo() {
        return activo;
    }

    public void setActivo(Boolean activo) {
        this.activo = activo;
    }

    @Override
    public int hashCode() {
        int hash = 0;
        hash += (paramConexionId != null ? paramConexionId.hashCode() : 0);
        return hash;
    }

    @Override
    public boolean equals(Object object) {
        // TODO: Warning - this method won't work in the case the id fields are not set
        if (!(object instanceof ParamConexion)) {
            return false;
        }
        ParamConexion other = (ParamConexion) object;
        if ((this.paramConexionId == null && other.paramConexionId != null) || (this.paramConexionId != null && !this.paramConexionId.equals(other.paramConexionId))) {
            return false;
        }
        return true;
    }

    @Override
    public String toString() {
        return "com.rjconsultores.entidad.ParamConexion[ paramConexionId=" + paramConexionId + " ]";
    }
    
}
